Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Highlighted
Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space
Accepted Solution

10.2 TextInput error on Q10 and Q5?

Hi everyone

 

I have an app in the store, but since 10.2 I get reviews saying both 'It works great' and 'white screen'. Diving into the code, I saw that on Q10 and Q5 devices (software version 10.2.0.424) the TextInput class throws the following error

 

[Fault] exception, information=Error: Skin Asset Class with identifier textinput_up does not exist!

 A similar error seems to have been found two months ago: http://supportforums.blackberry.com/t5/Adobe-AIR-Development/Adobe-Air-issues-with-Leaked-OS/td-p/25...

 

What should I do? Can anyone help?

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: 10.2 TextInput error on Q10 and Q5?

btw, I also have a DevC with 10.2.0.1445 (leak) and it works there. Seeing how 10.2.0.424 is the official release, this is very discouraging :/

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o
Developer
Posts: 6,541
Registered: ‎10-27-2010
My Device: HTC One, PlayBook, LE Z10, DE Q10
My Carrier: Verizon

Re: 10.2 TextInput error on Q10 and Q5?

Did you compile with the correct SDK version and include the correct ANE?
Developer
Posts: 508
Registered: ‎01-19-2011
My Device: My Trusty Red Plane
My Carrier: Outer Space

Re: 10.2 TextInput error on Q10 and Q5?

[ Edited ]

Yes, and yes. Also, due to company policy, I can't just switch SDKs, especially since it worked before. What I did though was a workaround specifically for the afore-mentioned devices, and it works now. Hopefully also for future device updates, without having me to update the SDK and all my apps

-----------------------------------------------------------------------
I'm a bird from outer space. But I'm not flappy o.o